Page MenuHomePhabricator

What is contributors.html for, in contrast to who_contributes_code.html and sc[m,r]-contributors.html and top-contributors.html?
Closed, ResolvedPublic

Description

I don't understand what http://korma.wmflabs.org/browser/contributors.html is for (a custom Wikimedia page which says "Contributors of code merged through Gerrit."), compared to / in contrast to either http://korma.wmflabs.org/browser/scr-contributors.html (default page).

Are there different criteria applied explaining these different numbers?:

  • Contributors' "People All-time" lists "Chad 12429" followed by "Ori.livneh 4742".
  • scr-contributors' "Complete history" of "Code Review Users" lists "Chad Horohoe 47061" followed by "Jon Robson 17343".

If contributors.html it considered useful, then it's broken because the last quarter covered is 2015 Q1. It is 2015 Q4 now.

Event Timeline

Aklapper raised the priority of this task from to Needs Triage.
Aklapper updated the task description. (Show Details)
Aklapper added a project: wikimedia.biterg.io.
Aklapper added subscribers: Aklapper, Qgil.
Restricted Application added a subscriber: StudiesWorld. · View Herald TranscriptNov 12 2015, 10:59 PM
Aklapper triaged this task as Low priority.Nov 12 2015, 10:59 PM

the last quarter covered is 2015 Q1. It is 2015 Q4 now.

To be fixed / updated in https://github.com/Bitergia/mediawiki-dashboard/pull/72

Aklapper added a comment.EditedNov 27 2015, 1:01 PM

What I see on custom http://korma.wmflabs.org/browser/contributors.html is covered by http://korma.wmflabs.org/browser/scr-contributors.html and http://korma.wmflabs.org/browser/scr-organizations.html and also http://korma.wmflabs.org/browser/who_contributes_code.html

So I propose to kill this but would still love to understand first why numbers seem to be different.

Aklapper renamed this task from What is contributors.html for in korma? to What is contributors.html for in contrast to who_contributes_code.html and sc[m,r]-contributors.html?.Nov 27 2015, 2:21 PM
Aklapper set Security to None.
Aklapper renamed this task from What is contributors.html for in contrast to who_contributes_code.html and sc[m,r]-contributors.html? to What is contributors.html for, in contrast to who_contributes_code.html and sc[m,r]-contributors.html and top-contributors.html?.Nov 27 2015, 2:24 PM
Aklapper added a project: DevRel-December-2015.
Aklapper claimed this task.Dec 1 2015, 1:31 PM

I'm tempted to kill who_contributes_code and contributors.html.

I still support my proposal in T118522#1845064 but I wonder if the "TODO: move" items I listed should be downstream patching (mediawiki-dashboard) or if they are something that upstream (grimoire-dashboard) would accept.
@Dicortazar: Any blunt and honest comments before I prepare a patch? :)

I still support my proposal in T118522#1845064 but I wonder if the "TODO: move" items I listed should be downstream patching (mediawiki-dashboard) or if they are something that upstream (grimoire-dashboard) would accept.
@Dicortazar: Any blunt and honest comments before I prepare a patch? :)

Adding February project as I am blocked on upstream maintenance feedback by Bitergia here

Thanks for your patch @Aklapper! This panel is not upstream due to it was an ad-hoc development for you guys.

@Lcanasdiaz: Do you think that it should be in upstream? :)

Note to myself: Upstream is frozen except for bugs, so I could patch away™ here. </evilgrin>

Aklapper added a project: Patch-For-Review.

https://github.com/Bitergia/mediawiki-dashboard/pull/80 :

Followup tasks to potentially create once that Pull Request is deployed and this task is resolved:

  • Mismatch of numbers of SCR-Orgs-All-Time at bottom and top graph data on scr-organizations if still existing.
  • Mismatch of numbers on scr-contributors; eliminate of the "all time" panels (intentionally copied to see if numbers still mismatch).

Adding DevRel-March-2016 as this is done but only waiting for deployment.

Aklapper moved this task from Backlog to Doing on the DevRel-March-2016 board.Mar 1 2016, 4:57 PM

https://github.com/Bitergia/mediawiki-dashboard/pull/80 covering the changes outlined in T118522#2069362 got merged on 2016-03-10 and I've verified that everything is as expected on korma.

Mismatch of numbers of SCR-Orgs-All-Time at bottom and top graph data on scr-organizations if still existing.

Mismatch of numbers on scr-contributors; eliminate of the "all time" panels (intentionally copied to see if numbers still mismatch).

  • No mismatch of numbers anymore.

Eliminating the dup panel in https://github.com/Bitergia/mediawiki-dashboard/pull/81.

After merging that PR, we be done in this task. \o/

Aklapper moved this task from Backlog to Doing on the wikimedia.biterg.io board.Mar 17 2016, 6:26 PM
Aklapper closed this task as Resolved.Mar 30 2016, 9:44 AM

After merging that PR, we be done in this task. \o/

Deployed: http://korma.wmflabs.org/browser/scr-contributors.html

Closing as resolved.

Qgil awarded a token.Mar 30 2016, 8:43 PM